<html lang="en">
<head>
<title>Repeats - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Drawables.html#Drawables" title="Drawables">
<link rel="prev" href="Blocks.html#Blocks" title="Blocks">
<link rel="next" href="Puts.html#Puts" title="Puts">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Repeats"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Puts.html#Puts">Puts</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Blocks.html#Blocks">Blocks</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Drawables.html#Drawables">Drawables</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h4 class="subsection">3.2.8 Repeats</h4>

<p><a name="index-repeat-331"></a><a name="index-repeated-object-332"></a><strong>Syntax:</strong>
<pre class="example">     repeat { <var>n</var>, <var>T_1</var>, <var>T_2</var>, ..., <var>T_r</var> } <var>repeated_object</var>
</pre>
   <p class="noindent">The repeat makes <var>n</var> transformed copies of <var>repeated_object</var>
(including the original).  The <var>T_i</var> are transforms. 
<a name="index-transform-333"></a>The k'th copy of the <var>repeated_object</var> (for
k=0,1,...,n-1) is produced in the
same manner as for <code>sweep</code>s described in <a href="Sweeps.html#Sweeps">Sweeps</a>.  This is
repeated here (no pun intended) for convenience.  To make the
k'th copy, the following transform is applied to the
original object.
<pre class="example">     <var>T_1</var>^k then <var>T_2</var>^k then ... then <var>T_r</var>^k
</pre>
   <p class="noindent">Here <var>T</var>^k means &ldquo;transform <var>T</var> applied k
times.&rdquo;

   </body></html>

